[arch-commits] Commit in qtiplot/repos (5 files)

Ronald van Haren ronald at archlinux.org
Mon Nov 9 07:24:16 EST 2009


    Date: Monday, November 9, 2009 @ 07:24:16
  Author: ronald
Revision: 58573

Merged revisions 58572 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/qtiplot/trunk

........
  r58572 | ronald | 2009-11-09 13:23:46 +0100 (Mon, 09 Nov 2009) | 2 lines
  
  upgpkg: qtiplot 0.9.7.10-1
      update to latest version 0.9.7.10; add sip patch to build; add xml mime files thanks to greg in FS#16356
........

Added:
  qtiplot/repos/extra-x86_64/qtiplot.install
    (from rev 58572, qtiplot/trunk/qtiplot.install)
  qtiplot/repos/extra-x86_64/qtiplot.xml
    (from rev 58572, qtiplot/trunk/qtiplot.xml)
  qtiplot/repos/extra-x86_64/sip.patch
    (from rev 58572, qtiplot/trunk/sip.patch)
Modified:
  qtiplot/repos/extra-x86_64/	(properties)
  qtiplot/repos/extra-x86_64/PKGBUILD

-----------------+
 PKGBUILD        |   34 ++++++++++++++++++++++------------
 qtiplot.install |   13 +++++++++++++
 qtiplot.xml     |   17 +++++++++++++++++
 sip.patch       |   13 +++++++++++++
 4 files changed, 65 insertions(+), 12 deletions(-)


Property changes on: qtiplot/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /qtiplot/trunk:1-52089
   + /qtiplot/trunk:1-58572

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-11-09 12:23:46 UTC (rev 58572)
+++ extra-x86_64/PKGBUILD	2009-11-09 12:24:16 UTC (rev 58573)
@@ -1,48 +1,56 @@
 # $Id$
 # Maintainer: Ronald van Haren <ronald.archlinux.org>
 # Contributor: damir <damir.archlinux.org>
+# Contributor: Gergely Imreh <imrehg at gmail.com>
 
 pkgname=qtiplot
-pkgver=0.9.7.9
+pkgver=0.9.7.10
 pkgrel=1
 pkgdesc="Data analysis and scientific plotting - free clone of Origin"
 arch=('i686' 'x86_64')
 url="http://soft.proindependent.com/qtiplot.html"
-depends=('muparser>=1.30' 'gsl' 'pyqt' 'sip' 'boost>=1.39.0' 'libgl')
+depends=('muparser>=1.30' 'gsl' 'pyqt' 'sip>=4.9.1' \
+         'boost>=1.39.0' 'libgl' 'shared-mime-info')
 # build against liborigin provided in the package ...
 # build against qwtplot3d provided in the package ...
 # build against qwt provided in the package ...
 # as systemwide one doesn't provide all needed functions
 makedepends=('pkgconfig')
 license=('GPL2')
-source=(http://soft.proindependent.com/src/qtiplot-$pkgver.tar.bz2
+install=${pkgname}.install
+source=(http://download.berlios.de/qtiplot/qtiplot-${pkgver}.tar.bz2
         $pkgname.desktop
         $pkgname.png
         qtiplot.pro.archlinux
-        qwtplot3d_gcc.patch)
-md5sums=('08e4943cadd5ee39e28e4ce0d61d475a'
+        qwtplot3d_gcc.patch
+        sip.patch
+        qtiplot.xml)
+md5sums=('627e5beeee598c6761de593921003335'
          '56bd53f4f1367c285086acb969f13348'
          'ad8affbd6f0d5cbdcde46c923ee2668a'
          'b0f586e74badeedca21b1875f96507cb'
-         'ab02c436ec2c04b1838cb5517383b4eb')
+         'ab02c436ec2c04b1838cb5517383b4eb'
+         'd02a4db813dff3b847500fbbbde233fa'
+         '35683f3b32e1edcca0bb02c471d284e9')
 
 build() {
   cd ${srcdir}/${pkgname}-${pkgver}
+
+  # Make qwt
   sed -i "s:elif:else:g" qtiplot/src/scripting/ScriptEdit.cpp
   patch -Np1 -i ${srcdir}/qwtplot3d_gcc.patch || return 1
-
   cd ./3rdparty/qwt
   qmake || return 1
   make || return 1
 
+  # Make qtiplot
   cd ${srcdir}/${pkgname}-${pkgver}/${pkgname}
-  install -Dm644 ${srcdir}/qtiplot.pro.archlinux qtiplot.pro
-
+  cp ${srcdir}/qtiplot.pro.archlinux .
   sed -i 's#d_python_config_folder + "#"/usr/share/qtiplot#' src/core/ApplicationWindow.cpp
+  # Change references for invalid file, due to sip changes
+  patch -p1 < ${srcdir}/sip.patch || return 1
 
-  export QMAKESPEC=linux-g++
-
-  qmake qtiplot.pro || return 1
+  qmake qtiplot.pro.archlinux QMAKESPEC=linux-g++ || return 1
   make QTDIR=/usr/ QMAKESPEC=linux-g++ || return 1
   INSTALL_ROOT=${pkgdir} make install || return 1
 
@@ -51,4 +59,6 @@
   	${pkgdir}/usr/share/pixmaps/${pkgname}.png || return 1
   install -D -m644 ${srcdir}/${pkgname}.desktop \
   	${pkgdir}/usr/share/applications/${pkgname}.desktop || return 1
+  install -D -m644 ${srcdir}/${pkgname}.xml \
+        ${pkgdir}/usr/share/mime/packages/${pkgname}.xml || return 1
 }

Copied: qtiplot/repos/extra-x86_64/qtiplot.install (from rev 58572, qtiplot/trunk/qtiplot.install)
===================================================================
--- extra-x86_64/qtiplot.install	                        (rev 0)
+++ extra-x86_64/qtiplot.install	2009-11-09 12:24:16 UTC (rev 58573)
@@ -0,0 +1,13 @@
+post_install() {
+  echo "Updating MIME type for QtiPlot project file"
+  update-mime-database /usr/share/mime
+}
+
+post_upgrade() {
+  post_install
+}
+
+post_remove () {
+  post_install
+}
+

Copied: qtiplot/repos/extra-x86_64/qtiplot.xml (from rev 58572, qtiplot/trunk/qtiplot.xml)
===================================================================
--- extra-x86_64/qtiplot.xml	                        (rev 0)
+++ extra-x86_64/qtiplot.xml	2009-11-09 12:24:16 UTC (rev 58573)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<mime-info xmlns="http://www.freedesktop.org/standards/shared-mime-info">
+  <mime-type type="application/x-qtiplot-project">
+    <sub-class-of type="text/plain"/>
+    <comment>QtiPlot project file</comment>
+    <glob pattern="*.qti" />
+  </mime-type>
+  <mime-type type="application/x-qtiplot-project-compressed">
+    <comment>Compressed QtiPlot project file</comment>
+    <glob pattern="*.qti.gz" />
+  </mime-type>
+  <mime-type type="application/x-qtiplot-project-backup">
+    <sub-class-of type="text/plain"/>
+    <comment>QtiPlot project file backup</comment>
+    <glob pattern="*.qti~" />
+  </mime-type>
+</mime-info>

Copied: qtiplot/repos/extra-x86_64/sip.patch (from rev 58572, qtiplot/trunk/sip.patch)
===================================================================
--- extra-x86_64/sip.patch	                        (rev 0)
+++ extra-x86_64/sip.patch	2009-11-09 12:24:16 UTC (rev 58573)
@@ -0,0 +1,13 @@
+--- qtiplot/src/scripting/scripting.pri.bak	2009-09-09 07:18:51.000000000 +0800
++++ qtiplot/src/scripting/scripting.pri	2009-11-08 12:45:03.000000000 +0800
+@@ -80,7 +80,9 @@
+              $${SIP_DIR}/sipqtiPythonScript.cpp\
+              $${SIP_DIR}/sipqtiPythonScripting.cpp\
+              $${SIP_DIR}/sipqtiFolder.cpp\
+-             $${SIP_DIR}/sipqtiQList.cpp\
++             $${SIP_DIR}/sipqtiQList0101Folder.cpp \
++             $${SIP_DIR}/sipqtiQList0101Graph.cpp \
++             $${SIP_DIR}/sipqtiQList0101MdiSubWindow.cpp \
+              $${SIP_DIR}/sipqtiFit.cpp \
+              $${SIP_DIR}/sipqtiExponentialFit.cpp \
+              $${SIP_DIR}/sipqtiTwoExpFit.cpp \



More information about the arch-commits mailing list